Deepstream-l4t:6.0-samples missing cuda-cudart-dev-10-2?

strong textI am building a buildmachine docker image that is based on
FROM nvcr.io/nvidia/deepstream-l4t:6.0-samples

when i compile my program i need libcudart.so and libcuda.so but it doesn’t seem to be installed anywhere inside the docker, so i try to add it to the docker file using
apt install cuda-toolkit-10-2

but i’m getting an error during the docker build . like:

E: Unable to locate package cuda-toolkit-10-2
The command ‘/bin/sh -c apt-get update && apt-get install -y -qq --no-install-recommends wget curl iptables && apt-get install -y -qq --no-install-recommends ca-certificates-java && update-ca-certificates -f && apt-get install -y -qq --no-install-recommends libevent-dev automake libtool pkg-config libgstreamer1.0-dev libgstreamer-plugins-base1.0-dev libglib2.0-dev libjson-glib-dev gtk-doc-tools libreadline-dev libncursesw5-dev libdaemon-dev libjansson-dev libsoup2.4-dev python3-pip unzip sudo python3-setuptools libv4l-dev cmake gstreamer1.0-plugins-base libgstreamer-plugins-bad1.0-dev gstreamer1.0-plugins-bad python3-wheel ninja-build cuda-toolkit-10-2 && pip3 install git+https://github.com/mesonbuild/meson.git@0.35.1 && pip3 install markupsafe==1.1.1 && sudo apt install -y -qq --no-install-recommends python3-dev libxml2-dev libxslt1-dev cmake libyaml-dev libclang-dev llvm-dev libglib2.0-dev libjson-glib-dev flex && pip3 install hotdoc’ returned a non-zero code: 100

is it correct that nvcr.io/nvidia/deepstream-l4t:6.0-samples doesn’t have cuda installed ? and if so, how do i install it ?

turns out i can use -lcudart_static instead and that works as well… (i think)

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.